% File src/library/base/man/memory.profile.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{memory.profile}
\alias{memory.profile}
\title{Profile the Usage of Cons Cells}
\description{
    \code{SEXPREC} 型による cons セルの使用をリストする．
}
\usage{
memory.profile()
}
\details{
    現在の型とそれらの使用量はインクルードファイル
    \file{Rinternals.h} にリストされている．
}
% There will be blanks in the list corresponding
% to types that are no longer in use (types 11 and 12 at the time of
% writing).
% Also \code{FUNSXP} is not included.
% Nonsense: that is a mode, not a type.
\value{
  型で名前がついたカウントのベクトル．
  型の説明は \code{\link{typeof}} を見よ．
}

\seealso{
  cons セルの全体出来な使用法については \code{\link{gc}}．
  \code{\link{Rprofmem}} と \code{\link{tracemem}} は特定のコードや
  オブジェクトのメモリプロアイルを許すが，コンパイル時に
  使用可能にする必要がある．
}

\examples{\donttest{
memory.profile()
}}
\keyword{utilities}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/memory.profile.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{memory.profile}
%\alias{memory.profile}
%\title{Profile the Usage of Cons Cells}
%\description{
%    Lists the usage of the cons cells by \code{SEXPREC} type.
%}
%\usage{
%memory.profile()
%}
%\details{
%    The current types and their uses are listed in the include file
%    \file{Rinternals.h}.
%}
%% There will be blanks in the list corresponding
%% to types that are no longer in use (types 11 and 12 at the time of
%% writing).
%% Also \code{FUNSXP} is not included.
%% Nonsense: that is a mode, not a type.
%\value{
%  A vector of counts, named by the types.  See \code{\link{typeof}} for
%  an explanation of types.
%}
%
%\seealso{
%  \code{\link{gc}} for the overall usage of cons cells.
%  \code{\link{Rprofmem}} and \code{\link{tracemem}} allow memory profiling
%  of specific code or objects, but need to be enabled at compile time.
%}
%
%\examples{\donttest{
%memory.profile()
%}}
%\keyword{utilities}
%
\encoding{UTF8}
