% File src/library/parallel/man/parallel-package.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2011 R Core Team
% Distributed under GPL 2 or later

\name{parallel-package}
\alias{parallel-package}
\alias{parallel}
\docType{package}
\title{
  Support for Parallel Computation
}
\description{
  並列計算に対するサポートで，
  乱数生成を含む．
}
\details{
  このパッケージは発展途中である：
  最初のバージョンは
  \R 2.14.0 でリリースされた．

  \samp{"L'Ecuyer-CMRG"} RNG を用いた多重 RNG ストリームの
  サポートがある：\code{\link{nextRNGStream}} を見よ．

  これは
  パッケージ \CRANpkg{multicore} (幾つかの低レベル関数は改名され移出されない)
  と \CRANpkg{snow} (ソケットクラスター専用であるが，
  \CRANpkg{snow} で生成された MPI と NWS クラスターも
  サポートされている)に含まれるものに由来し，かなりの程度
  同値である．このパッケージは又
  \code{\link{makeForkCluster}} を提供する．

  移出関数の完全なリストを得るには
  \code{library(help = "parallel")} を使う．
}
\author{
  Brian Ripley, Luke Tierney そして Simon Urbanek

  保守管理者: R Core Team \email{R-core@r-project.org}
}
\seealso{
  並列計算はワーカープロセスの始動を含む：
  パッケージ \pkg{tools} 中の関数 \code{\link{psnice}} と
  \code{\link{pskill}} はそうしたプロセスを管理する方法を提供する．
}
\keyword{ package }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/parallel/man/parallel-package.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{parallel-package}
%\alias{parallel-package}
%\alias{parallel}
%\docType{package}
%\title{
%  Support for Parallel Computation
%}
%\description{
%  Support for parallel computation, including random-number generation.
%}
%\details{
%  This package is under development: a first version was released with
%  \R 2.14.0.
%
%  There is support for multiple RNG streams with the
%  \samp{"L'Ecuyer-CMRG"} \link{RNG}: see \code{\link{nextRNGStream}}.
%
%  It contains functionality derived from and pretty much equivalent to
%  that contained in packages \CRANpkg{multicore} (with some low-level
%  functions renamed and not exported) and \CRANpkg{snow} (for socket
%  clusters only, but MPI and NWS clusters generated by
%  \CRANpkg{snow} are also supported).  This package also provides
%  \code{\link{makeForkCluster}}.
%
%  For a complete list of exported functions, use
%  \code{library(help = "parallel")}.
%}
%\author{
%  Brian Ripley, Luke Tierney and Simon Urbanek
%
%  Maintainer: R Core Team \email{R-core@r-project.org}
%}
%\seealso{
%  Parallel computation involves launching worker processes: functions
%  \code{\link{psnice}} and \code{\link{pskill}} in package \pkg{tools}
%  provide means to manage such processes.
%}
%\keyword{ package }
%
%\encoding{UTF-8}
%\encoding{UTF8}

\encoding{UTF8}

